// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// Fichier contenant le header des routines de gestion Frequence
//
//=======================================
// History:
// 28/10/04    V1.0
//       Version originale
//=======================================

#ifndef TIPLL_FREQMGT_H
#define TIPLL_FREQMGT_H

/* include system */



/* definition de la structure des donnees */
#define FREQ_NB_QUICK_FREQ 3      /* nombre max de frequences rapides */

#define FREQ_FREQ_MIN     8750   /* frequence minimum  */
#define FREQ_FREQ_MAX    10800   /* frequence minimum  */
#define FREQ_QUICK_1      8750   /* Frequence par defaut pour quickshift 1 */
#define FREQ_QUICK_2      9800   /* Frequence par defaut pour quickshift 2 */
#define FREQ_QUICK_3     10800   /* Frequence par defaut pour quickshift 3 */

#define FREQ_PAS_INC       5     /* pas d'inc/dec en 10KHz soit 50KHz */



/* fonctions applicatives de gestion frequence */

void FRQ_init(void);            /*init frequence courante et index quick freq */

char FRQ_set_currentFreq(unsigned int Frequence);
unsigned int  FRQ_inc_currentFreq(void);
unsigned int  FRQ_dec_currentFreq(void);
unsigned int  FRQ_inc_quickFreq(void);
/* Remarque la fonction dec_QuickFreq est inutile car il n'y a qu'une seule touche Quick, donc inc seulement */
unsigned int  FRQ_get_currentFreq(void);

#endif
